%undefine __find_provides
%undefine __find_requires

%define php_name ZendFramework

Name:		php-ZendFramework2
Version:	2.4.11
Summary:	Zend Framework 2
Release:	%mkrel 1
License:	BSD
Group:		Development/PHP
URL:		http://framework.zend.com/
Source0:	http://packages.zendframework.com/releases/%{php_name}-%{version}/%{php_name}-%{version}.tgz
Requires:	php
Requires:	php-bcmath
Requires:	php-ctype
Requires:	php-curl
Requires:	php-dom
Requires:	php-fileinfo
Requires:	php-hash
Requires:	php-iconv
Requires:	php-json
Requires:	php-pcre
Requires:	php-pdo
Requires:	php-posix
Requires:	php-session
Requires:	php-simplexml
Requires:	php-xml
Requires:	php-zlib
BuildArch:	noarch
Conflicts:	php-ZendFramework

%description
Zend Framework 2 is an open source framework for developing web applications
and services using PHP 5.3+. Zend Framework 2 uses 100% object-oriented code
and utilizes most of the new features of PHP 5.3, namely namespaces, late
static binding, lambda functions and closures.

%package  Authentication
Summary:  Zend Framework 2: Authentication Component
Requires: %{name} = %{version}-%{release}
Requires: php-ctype
Requires: php-hash
Requires: php-pcre

%description Authentication
The Zend\Authentication component provides an API for authentication and
includes concrete authentication adapters for common use case scenarios.

Zend\Authentication is concerned only with authentication and not with
authorization. Authentication is loosely defined as determining whether
an entity actually is what it purports to be (i.e., identification),
based on some set of credentials. Authorization, the process of deciding
whether to allow an entity access to, or to perform operations upon, other
entities is outside the scope of Zend\Authentication. For more information
about authorization and access control with Zend Framework, please see the
Zend\Permissions\Acl or Zend\Permissions\Rbac component.

%package  Barcode
Summary:  Zend Framework 2: Barcode Component
Requires: %{name} = %{version}-%{release}
Requires: php-dom
Requires: php-gd
Requires: php-iconv
Requires: php-pcre

%description Barcode
Zend\Barcode\Barcode provides a generic way to generate barcodes. The
Zend\Barcode component is divided into two subcomponents: barcode objects
and renderers. Objects allow you to create barcodes independently of the
renderer. Renderer allow you to draw barcodes based on the support required.

%package  Cache
Summary:  Zend Framework 2: Cache Component
Requires: %{name} = %{version}-%{release}
Requires: php-pcre

%description Cache
Optional:
* APC (php-pecl-apc)
* DBA (php-dba)
* Memcache (php-pecl-memcache)
* Memcached (php-pecl-memcached)
* Redis (php-pecl-redis)
* XCache (php-xcache)

%package  Captcha
Summary:  Zend Framework 2: CAPTCHA Component
Requires: %{name} = %{version}-%{release}
Requires: php-gd

%description Captcha
CAPTCHA stands for “Completely Automated Public Turing test to tell Computers
and Humans Apart”; it is used as a challenge-response to ensure that the
individual submitting information is a human and not an automated process.
Typically, a CAPTCHA is used with form submissions where authenticated users
are not necessary, but you want to prevent spam submissions.

CAPTCHAs can take a variety of forms, including asking logic questions,
presenting skewed fonts, and presenting multiple images and asking how they
relate. The Zend\Captcha component aims to provide a variety of back ends
that may be utilized either standalone or in conjunction with the Zend\Form
component.

%package  Code
Summary:  Zend Framework 2: Code Component
Requires: %{name} = %{version}-%{release}
Requires: php-pcre
Requires: php-tokenizer

%description Code
Provides facilities to generate arbitrary code using an object oriented
interface.

%package  Config
Summary:  Zend Framework 2: Config Component
Requires: %{name} = %{version}-%{release}
Requires: php-pcre
Requires: php-xmlreader
Requires: php-xmlwriter

%description Config
Zend\Config is designed to simplify access to configuration data within
applications. It provides a nested object property-based user interface
for accessing this configuration data within application code. The
configuration data may come from a variety of media supporting hierarchical
data storage. Currently, Zend\Config provides adapters that read and write
configuration data stored in .ini, JSON, YAML and XML files.

%package  Console
Summary:  Zend Framework 2: Console Component
Requires: %{name} = %{version}-%{release}
Requires: php-pcre
Requires: php-xml

%description Console
Zend Framework 2 features built-in console support.

When a Zend\Application is run from a console window (a shell window), it will
recognize this fact and prepare Zend\Mvc components to handle the request.
Console support is enabled by default, but to function properly it requires at
least one console route and one action controller to handle the request.

* Console routing allows you to invoke controllers and action depending on
  command line parameters provided by the user.
* Module Manager integration allows ZF2 applications and modules to display
  help and usage information, in case the command line has not been understood
  (no route matched).
* Console-aware action controllers will receive a console request containing
  all named parameters and flags. They are able to send output back to the
  console window.
* Console adapters provide a level of abstraction for interacting with console
  on different operating systems.
* Console prompts can be used to interact with the user by asking him questions
  and retrieving input.

%package  Crypt
Summary:  Zend Framework 2: Crypt Component
Requires: %{name} = %{version}-%{release}
Requires: php-mcrypt
Requires: php-hash
Requires: php-openssl
Requires: php-pcre

%description Crypt
Zend\Crypt provides support of some cryptographic tools. The available
features are:

* encrypt-then-authenticate using symmetric ciphers (the authentication step is
  provided using HMAC)
* encrypt/decrypt using symmetric and public key algorithm (e.g. RSA algorithm)
* generate digital sign using public key algorithm (e.g. RSA algorithm)
* key exchange using the Diffie-Hellman method
* Key derivation function (e.g. using PBKDF2 algorithm)
* Secure password hash (e.g. using Bcrypt algorithm)
* generate Hash values
* generate HMAC values

The main scope of this component is to offer an easy and secure way to protect
and authenticate sensitive data in PHP. Because the use of cryptography is not
so easy we recommend to use the Zend\Crypt component only if you have a minimum
background on this topic.

%package  Db
Summary:  Zend Framework 2: DB Component
Requires: %{name} = %{version}-%{release}
Requires: php-pcre
Requires: php-pdo

%description Db
Optional:
* ibm_db2 (http://pecl.php.net/package/ibm_db2)
* mysqli (php-mysql)
* oci8 (http://pecl.php.net/package/oci8)
* pgsql (php-pgsql)
* sqlsrv (http://pecl.php.net/package/sqlsrv)

%package  Debug
Summary:  Zend Framework 2: Debug Component
Requires: %{name} = %{version}-%{release}
Requires: php-pcre

%description Debug
Optional: XDebug (php-pecl-xdebug)

%package  Di
Summary:  Zend Framework 2: DI Component
Requires: %{name} = %{version}-%{release}
Requires: php-pcre

%description Di
Dependency Injection (here-in called DI) is a concept that has been talked
about in numerous places over the web. Simply put, we’ll explain the act of
injecting dependencies simply with this below code:

$b = new MovieLister(new MovieFinder());

Above, MovieFinder is a dependency of MovieLister, and MovieFinder was
injected into MovieLister.

%package  Dom
Summary:  Zend Framework 2: DOM Component
Requires: %{name} = %{version}-%{release}
Requires: php-dom
Requires: php-pcre

%description Dom
The Zend\Dom component provides tools for working with DOM documents and
structures. Currently, we offer Zend\Dom\Query, which provides a unified
interface for querying DOM documents utilizing both XPath and CSS selectors.

%package  Escaper
Summary:  Zend Framework 2: Escaper Component
Requires: %{name} = %{version}-%{release}
Requires: php-ctype
Requires: php-iconv
Requires: php-mbstring
Requires: php-pcre

%description Escaper
The OWASP Top 10 web security risks study lists Cross-Site Scripting (XSS)
in second place. PHP’s sole functionality against XSS is limited to two
functions of which one is commonly misapplied. Thus, the Zend\Escaper component
was written. It offers developers a way to escape output and defend from XSS
and related vulnerabilities by introducing contextual escaping based on
peer-reviewed rules.

%package  EventManager
Summary:  Zend Framework 2: EventManager Component
Requires: %{name} = %{version}-%{release}

%description EventManager
The EventManager is a component designed for the following use cases:

* Implementing simple subject/observer patterns.
* Implementing Aspect-Oriented designs.
* Implementing event-driven architectures.

The basic architecture allows you to attach and detach listeners to named
events, both on a per-instance basis as well as via shared collections;
trigger events; and interrupt execution of listeners.

%package  Feed
Summary:  Zend Framework 2: Feed Component
Requires: %{name} = %{version}-%{release}
Requires: php-ctype
Requires: php-dom
Requires: php-hash
Requires: php-pcre
Requires: php-tidy

%description Feed
Zend\Feed provides functionality for consuming RSS and Atom feeds. It provides
a natural syntax for accessing elements of feeds, feed attributes, and entry
attributes. Zend\Feed also has extensive support for modifying feed and entry
structure with the same natural syntax, and turning the result back into XML.
In the future, this modification support could provide support for the Atom
Publishing Protocol.

Zend\Feed consists of Zend\Feed\Reader for reading RSS and Atom feeds,
Zend\Feed\Writer for writing RSS and Atom feeds, and Zend\Feed\PubSubHubbub
for working with Hub servers. Furthermore, both Zend\Feed\Reader and
Zend\Feed\Writer support extensions which allows for working with additional
data in feeds, not covered in the core API but used in conjunction with RSS
and Atom feeds.

%package  File
Summary:  Zend Framework 2: File Component
Requires: %{name} = %{version}-%{release}
Requires: php-fileinfo
Requires: php-hash
Requires: php-pcre
Requires: php-tokenizer

%description File
%{summary}

%package  Filter
Summary:  Zend Framework 2: Filter Component
Requires: %{name} = %{version}-%{release}
Requires: php-bz2
Requires: php-iconv
Requires: php-mbstring
Requires: php-openssl
Requires: php-pcre
Requires: php-zip
Requires: php-zlib

%description Filter
The Zend\Filter component provides a set of commonly needed data filters.
It also provides a simple filter chaining mechanism by which multiple filters
may be applied to a single datum in a user-defined order.

%package  Form
Summary:  Zend Framework 2: Form Component
Requires: %{name} = %{version}-%{release}
Requires: php-intl
Requires: php-pcre

%description Form
Zend\Form is intended primarily as a bridge between your domain models and the
View Layer. It composes a thin layer of objects representing form elements, an
InputFilter, and a small number of methods for binding data to and from the
form and attached objects.

The Zend\Form component consists of the following objects:

* Elements, which simply consist of a name and attributes.
* Fieldsets, which extend from Elements, but allow composing other fieldsets
  and elements.
* Forms, which extend from Fieldsets (and thus Elements). They provide data
  and object binding, and compose InputFilters. Data binding is done via
  ZendStdlibHydrator.

%package  Http
Summary:  Zend Framework 2: HTTP Component
Requires: %{name} = %{version}-%{release}
Requires: php-ctype
Requires: php-curl
Requires: php-fileinfo
Requires: php-openssl
Requires: php-pcre
Requires: php-zlib

%description Http
Zend\Http is a primary foundational component of Zend Framework. Since much
of what PHP does is web-based, specifically HTTP, it makes sense to have a
performant, extensible, concise and consistent API to do all things HTTP.
In nutshell, there are several parts of Zend\Http:

* Context-less Request and Response classes that expose a fluent API for
  introspecting several aspects of HTTP messages:
  ** Request line information and response status information
  ** Parameters, such as those found in POST and GET
  ** Message Body
  ** Headers
* A Client implementation with various adapters that allow for sending requests
  and introspecting responses.

%package  I18n
Summary:  Zend Framework 2: i18n Component
Requires: %{name} = %{version}-%{release}
Requires: php-ctype
Requires: php-pcre

%description I18n
ZendI18n comes with a complete translation suite which supports all major
formats and includes popular features like plural translations and text
domains. The Translator component is mostly dependency free, except for
the fallback to a default locale, where it relies on the Intl PHP extension.

The translator itself is initialized without any parameters, as any
configuration to it is optional. A translator without any translations
will actually do nothing but just return the given message IDs.

%package  InputFilter
Summary:  Zend Framework 2: InputFilter Component
Requires: %{name} = %{version}-%{release}

%description InputFilter
The Zend\InputFilter component can be used to filter and validate generic sets
of input data. For instance, you could use it to filter $_GET or $_POST values,
CLI arguments, etc.

%package  Json
Summary:  Zend Framework 2: JSON Component
Requires: %{name} = %{version}-%{release}
Requires: php-json
Requires: php-mbstring
Requires: php-pcre

%description Json
Zend\Json provides convenience methods for serializing native PHP to JSON
and decoding JSON to native PHP.

JSON, JavaScript Object Notation, can be used for data interchange between
JavaScript and other languages. Since JSON can be directly evaluated by
JavaScript, it is a more efficient and lightweight format than XML for
exchanging data with JavaScript clients.

In addition, Zend\Json provides a useful way to convert any arbitrary XML
formatted string into a JSON formatted string. This built-in feature will
enable PHP developers to transform the enterprise data encoded in XML format
into JSON format before sending it to browser-based Ajax client applications.
It provides an easy way to do dynamic data conversion on the server-side code
thereby avoiding unnecessary XML parsing in the browser-side applications. It
offers a nice utility function that results in easier application-specific
data processing techniques.

%package  Ldap
Summary:  Zend Framework 2: LDAP Component
Requires: %{name} = %{version}-%{release}
Requires: php-iconv
Requires: php-json
Requires: php-ldap
Requires: php-mbstring
Requires: php-pcre

%description Ldap
Zend\Ldap\Ldap is a class for performing LDAP operations including but not
limited to binding, searching and modifying entries in an LDAP directory.

%package  Loader
Summary:  Zend Framework 2: Loader Component
Requires: %{name} = %{version}-%{release}
Requires: php-bz2
Requires: php-pcre

%description Loader
%{summary}

%package  Log
Summary:  Zend Framework 2: Log Component
Requires: %{name} = %{version}-%{release}
Requires: php-dom
Requires: php-json
Requires: php-pcre

%description Log
Zend\Log\Logger is a component for general purpose logging. It supports multiple
log backends, formatting messages sent to the log, and filtering messages from
being logged. These functions are divided into the following objects:

* A Logger (instance of Zend\Log\Logger) is the object that your application
  uses the most. You can have as many Logger objects as you like; they do not
  interact. A Logger object must contain at least one Writer, and can optionally
  contain one or more Filters.
* A Writer (inherits from Zend\Log\Writer\AbstractWriter) is responsible for
  saving data to storage.
* A Filter (implements Zend\Log\Filter\FilterInterface) blocks log data from
  being saved. A filter is applied to an individual writer. Filters can be
  chained.
* A Formatter (implements Zend\Log\Formatter\FormatterInterface) can format the
  log data before it is written by a Writer. Each Writer has exactly one
  Formatter.

Optional: MongoDB (php-pecl-mongo)

%package  Mail
Summary:  Zend Framework 2: Mail Component
Requires: %{name} = %{version}-%{release}
Requires: php-ctype
Requires: php-iconv
Requires: php-pcre

%description Mail
Zend\Mail provides generalized functionality to compose and send both text
and MIME-compliant multipart email messages. Mail can be sent with Zend\Mail
via the Mail\Transport\Sendmail, Mail\Transport\Smtp or the Mail\Transport\File
transport. Of course, you can also implement your own transport by implementing
the Mail\Transport\TransportInterface.

%package  Math
Summary:  Zend Framework 2: Math Component
Requires: %{name} = %{version}-%{release}
Requires: php-bcmath
Requires: php-gmp
Requires: php-mcrypt
Requires: php-openssl
Requires: php-pcre

%description Math
Zend\Math namespace provides general mathematical functions. So far the
supported functionalities are:

* Zend\Math\Rand: A random number generator
* Zend\Math\BigInteger: A library to manage big integers

%package  Memory
Summary:  Zend Framework 2: Memory Component
Requires: %{name} = %{version}-%{release}

%description Memory
%{summary}

%package  Mime
Summary:  Zend Framework 2: MIME Component
Requires: %{name} = %{version}-%{release}
Requires: php-iconv
Requires: php-pcre

%description Mime
Zend\Mime\Mime is a support class for handling multipart MIME messages. It
is used by Zend\Mail and Zend\Mime\Message and may be used by applications
requiring MIME support.

Optional: %{name}-Mail

%package  ModuleManager
Summary:  Zend Framework 2: ModuleManager Component
Requires: %{name} = %{version}-%{release}

%description ModuleManager
Zend Framework 2.0 introduces a new and powerful approach to modules. This new
module system is designed with flexibility, simplicity, and re-usability in
mind. A module may contain just about anything: PHP code, including MVC
functionality; library code; view scripts; and/or public assets such as images,
CSS, and JavaScript.

%package  Mvc
Summary:  Zend Framework 2: MVC Component
Requires: %{name} = %{version}-%{release}
Requires: php-intl
Requires: php-pcre

%description Mvc
Zend\Mvc is a brand new MVC implementation designed from the ground up for
Zend Framework 2, focusing on performance and flexibility.

The MVC layer is built on top of the following components:

* Zend\ServiceManager - Zend Framework provides a set of default service
  definitions set up at Zend\Mvc\Service. The ServiceManager creates and
  configures your application instance and workflow.
* Zend\EventManager - The MVC is event driven. This component is used everywhere
  from initial bootstrapping of the application, through returning response and
  request calls, to setting and retrieving routes and matched routes, as well as
  render views.
* Zend\Http - specifically the request and response objects.
* Zend\Stdlib\DispatchableInterface. All “controllers” are simply dispatchable
  objects.

%package  Navigation
Summary:  Zend Framework 2: Navigation Component
Requires: %{name} = %{version}-%{release}
Requires: php-pcre

%description Navigation
Zend\Navigation is a component for managing trees of pointers to web pages.
Simply put: It can be used for creating menus, breadcrumbs, links, and sitemaps,
or serve as a model for other navigation related purposes.

%package  Paginator
Summary:  Zend Framework 2: Paginator Component
Requires: %{name} = %{version}-%{release}

%description Paginator
Zend\Paginator is a flexible component for paginating collections of data and
presenting that data to users.

The primary design goals of Zend\Paginator are as follows:

* Paginate arbitrary data, not just relational databases
* Fetch only the results that need to be displayed
* Do not force users to adhere to only one way of displaying data or rendering
  pagination controls
* Loosely couple Zend\Paginator to other Zend Framework components so that users
  who wish to use it independently of Zend\View, Zend\Db, etc. can do so

%package  Permissions-Acl
Summary:  Zend Framework 2: Permissions ACL Component
Requires: %{name} = %{version}-%{release}

%description Permissions-Acl
The Zend\Permissions\Acl component provides a lightweight and flexible access
control list (ACL) implementation for privileges management. In general, an
application may utilize such ACL‘s to control access to certain protected
objects by other requesting objects.

For the purposes of this documentation:

* a resource is an object to which access is controlled.
* a role is an object that may request access to a Resource.

Put simply, roles request access to resources. For example, if a parking
attendant requests access to a car, then the parking attendant is the requesting
role, and the car is the resource, since access to the car may not be granted
to everyone.

Through the specification and use of an ACL, an application may control how
roles are granted access to resources.

%package  Permissions-Rbac
Summary:  Zend Framework 2: Permissions RBAC Component
Requires: %{name} = %{version}-%{release}

%description Permissions-Rbac
The Zend\Permissions\Rbac component provides a lightweight role-based access
control implementation based around PHP 5.3’s SPL RecursiveIterator and
RecursiveIteratorIterator. RBAC differs from access control lists (ACL) by
putting the emphasis on roles and their permissions rather than objects
(resources).

%package  ProgressBar
Summary:  Zend Framework 2: ProgressBar Component
Requires: %{name} = %{version}-%{release}
#     uploadprogress
Requires: php-pcre

%description ProgressBar
Zend\ProgressBar is a component to create and update progress bars in different
environments. It consists of a single backend, which outputs the progress
through one of the multiple adapters. On every update, it takes an absolute
value and optionally a status message, and then calls the adapter with some
precalculated values like percentage and estimated time left.

%package  Serializer
Summary:  Zend Framework 2: Serializer Component
Requires: %{name} = %{version}-%{release}
Requires: php-dom
Requires: php-pcre
Requires: php-simplexml

%description Serializer
The Zend\Serializer component provides an adapter based interface to simply
generate storable representation of PHP types by different facilities, and
recover.

Optional: msgpack (php-pecl-msgpack)

%package  Server
Summary:  Zend Framework 2: Server Component
Requires: %{name} = %{version}-%{release}
Requires: php-pcre

%description Server
The Zend\Server family of classes provides functionality for the various server
classes, including Zend\XmlRpc\Server and Zend\Json\Server. Zend\Server\Server
provides an interface that mimics PHP 5’s SoapServer class; all server classes
should implement this interface in order to provide a standard server API.

The Zend\Server\Reflection tree provides a standard mechanism for performing
function and class introspection for use as callbacks with the server classes,
and provides data suitable for use with Zend\Server\Server‘s getFunctions()
and loadFunctions() methods.

%package  ServiceManager
Summary:  Zend Framework 2: ServiceManager Component
Requires: %{name} = %{version}-%{release}

%description ServiceManager
The Service Locator design pattern is implemented by the Zend\ServiceManager
component. The Service Locator is a service/object locator, tasked with
retrieving other objects.

%package  Session
Summary:  Zend Framework 2: Session Component
Requires: %{name} = %{version}-%{release}
Requires: php-hash
Requires: php-pcre
Requires: php-session

%description Session
Manage and preserve session data, a logical complement of cookie data, across
multiple page requests by the same client.

Optional: MongoDB (php-pecl-mongo)

%package  Soap
Summary:  Zend Framework 2: SOAP Component
Requires: %{name} = %{version}-%{release}
Requires: php-curl
Requires: php-dom
Requires: php-pcre
Requires: php-simplexml
Requires: php-soap

%description Soap
%{summary}

%package  Stdlib
Summary:  Zend Framework 2: Stdlib Component
Requires: %{name} = %{version}-%{release}
Requires: php-iconv
Requires: php-intl
Requires: php-json
Requires: php-mbstring
Requires: php-pcre

%description Stdlib
%{summary}

%package  Tag
Summary:  Zend Framework 2: Tag Component
Requires: %{name} = %{version}-%{release}
Requires: php-pcre

%description Tag
Zend\Tag is a component suite which provides a facility to work with taggable
Items. As its base, it provides two classes to work with Tags, Zend\Tag\Item
and Zend\Tag\ItemList. Additionally, it comes with the interface
Zend\Tag\TaggableInterface, which allows you to use any of your models as a
taggable item in conjunction with Zend\Tag.

Zend\Tag\Item is a basic taggable item implementation which comes with the
essential functionality required to work with the Zend\Tag suite. A taggable
item always consists of a title and a relative weight (e.g. number of
occurrences). It also stores parameters which are used by the different
sub-components of Zend\Tag.

To group multiple items together, Zend\Tag\ItemList exists as an array iterator
and provides additional functionality to calculate absolute weight values based
on the given relative weights of each item in it.

%package  Test
Summary:  Zend Framework 2: Test Component
Requires: %{name} = %{version}-%{release}
Requires: php-pear-PHPUnit >= 3.7.0
Requires: php-pcre

%description Test
The Zend\Test component provides tools to facilitate unit testing of your Zend
Framework applications. At this time, we offer facilities to enable testing of
your Zend Framework MVC applications.

PHPUnit is the only library supported currently.

%package  Text
Summary:  Zend Framework 2: Text Component
Requires: %{name} = %{version}-%{release}
Requires: php-ctype
Requires: php-pcre

%description Text
%{summary}

%package  Uri
Summary:  Zend Framework 2: URI Component
Requires: %{name} = %{version}-%{release}
Requires: php-pcre

%description Uri
Zend\Uri is a component that aids in manipulating and validating Uniform
Resource Identifiers (URIs) [1]. Zend\Uri exists primarily to service other
components, such as Zend\Http\, but is also useful as a standalone utility.

URIs always begin with a scheme, followed by a colon. The construction of the
many different schemes varies significantly. The Zend\Uri component provides
the Zend\Uri\UriFactory that returns a class implementing the
Zend\Uri\UriInterface which specializes in the scheme if such a class is
registered with the Factory.

[1] http://www.ietf.org/rfc/rfc3986.txt

%package  Validator
Summary:  Zend Framework 2: Validator Component
Requires: %{name} = %{version}-%{release}
Requires: php-ctype
Requires: php-fileinfo
Requires: php-hash
Requires: php-pcre

%description Validator
The Zend\Validator component provides a set of commonly needed validators.
It also provides a simple validator chaining mechanism by which multiple
validators may be applied to a single datum in a user-defined order.

%package  Version
Summary:  Zend Framework 2: Version Component
Requires: %{name} = %{version}-%{release}
Requires: php-pcre

%description Version
Zend\Version provides a class constant Zend\Version\Version::VERSION that
contains a string identifying the version number of your Zend Framework
installation. Zend\Version\Version::VERSION might contain “1.7.4”, for
example.

The static method Zend\Version\Version::compareVersion($version) is based on
the PHP function version_compare(). This method returns -1 if the specified
version is older than the installed Zend Framework version, 0 if they are the
same and +1 if the specified version is newer than the version of the Zend
Framework installation.

%package  View
Summary:  Zend Framework 2: View Component
Requires: %{name} = %{version}-%{release}
Requires: php-dom
Requires: php-filter
Requires: php-pcre

%description View
Zend\View provides the “View” layer of Zend Framework 2’s MVC system. It
is a multi-tiered system allowing a variety of mechanisms for extension,
substitution, and more.

%package  XmlRpc
Summary:  Zend Framework 2: XML-RPC Component
Requires: %{name} = %{version}-%{release}
Requires: php-dom
Requires: php-iconv
Requires: php-pcre
Requires: php-simplexml
Requires: php-xmlwriter

%description XmlRpc
From its home page, XML-RPC is described as a ”...remote procedure calling
using HTTP as the transport and XML as the encoding. XML-RPC is designed to
be as simple as possible, while allowing complex data structures to be
transmitted, processed and returned.”

Zend Framework provides support for both consuming remote XML-RPC services
and building new XML-RPC servers.

[1] http://www.xmlrpc.com/

%package  ZendXml
Summary:  Zend Framework 2: XML usage, best practices, and security in PHP
Requires: %{name} = %{version}-%{release}
Requires: php-dom
Requires: php-simplexml

%description ZendXml
This is a security component to prevent XML eXternal Entity (XXE) and
XML Entity Expansion (XEE) attacks on XML documents.

The XXE attack is prevented disabling the load of external entities in
the libxml library used by PHP, using the function libxml_disable_entity_loader.

The XEE attack is prevented looking inside the XML document for ENTITY usage.
If the XML document uses ENTITY the library throw an Exception.

%prep
%setup -q -n ZendFramework-%{version}

%build

%install
mkdir -p %{buildroot}%{_datadir}/php
cp -pr -pr library/* %{buildroot}%{_datadir}/php

%files
%doc LICENSE.txt
%doc *.md composer.json
%dir %{_datadir}/php/Zend

%files Authentication
%doc library/Zend/Authentication/*.md
%doc library/Zend/Authentication/composer.json
%{_datadir}/php/Zend/Authentication
%exclude %{_datadir}/php/Zend/Authentication/*.md
%exclude %{_datadir}/php/Zend/Authentication/composer.json

%files Barcode
%doc library/Zend/Barcode/*.md
%doc library/Zend/Barcode/composer.json
%{_datadir}/php/Zend/Barcode
%exclude %{_datadir}/php/Zend/Barcode/*.md
%exclude %{_datadir}/php/Zend/Barcode/composer.json

%files Cache
%doc library/Zend/Cache/*.md
%doc library/Zend/Cache/composer.json
%{_datadir}/php/Zend/Cache
%exclude %{_datadir}/php/Zend/Cache/*.md
%exclude %{_datadir}/php/Zend/Cache/composer.json

%files Captcha
%doc library/Zend/Captcha/*.md
%doc library/Zend/Captcha/composer.json
%{_datadir}/php/Zend/Captcha
%exclude %{_datadir}/php/Zend/Captcha/*.md
%exclude %{_datadir}/php/Zend/Captcha/composer.json

%files Code
%doc library/Zend/Code/*.md
%doc library/Zend/Code/composer.json
%{_datadir}/php/Zend/Code
%exclude %{_datadir}/php/Zend/Code/*.md
%exclude %{_datadir}/php/Zend/Code/composer.json

%files Config
%doc library/Zend/Config/*.md
%doc library/Zend/Config/composer.json
%{_datadir}/php/Zend/Config
%exclude %{_datadir}/php/Zend/Config/*.md
%exclude %{_datadir}/php/Zend/Config/composer.json

%files Console
%doc library/Zend/Console/*.md
%doc library/Zend/Console/composer.json
%{_datadir}/php/Zend/Console
%exclude %{_datadir}/php/Zend/Console/*.md
%exclude %{_datadir}/php/Zend/Console/composer.json

%files Crypt
%doc library/Zend/Crypt/*.md
%doc library/Zend/Crypt/composer.json
%{_datadir}/php/Zend/Crypt
%exclude %{_datadir}/php/Zend/Crypt/*.md
%exclude %{_datadir}/php/Zend/Crypt/composer.json

%files Db
%doc library/Zend/Db/*.md
%doc library/Zend/Db/composer.json
%{_datadir}/php/Zend/Db
%exclude %{_datadir}/php/Zend/Db/*.md
%exclude %{_datadir}/php/Zend/Db/composer.json

%files Debug
%doc library/Zend/Debug/*.md
%doc library/Zend/Debug/composer.json
%{_datadir}/php/Zend/Debug
%exclude %{_datadir}/php/Zend/Debug/*.md
%exclude %{_datadir}/php/Zend/Debug/composer.json

%files Di
%doc library/Zend/Di/*.md
%doc library/Zend/Di/composer.json

%{_datadir}/php/Zend/Di
%exclude %{_datadir}/php/Zend/Di/*.md
%exclude %{_datadir}/php/Zend/Di/composer.json

%files Dom
%doc library/Zend/Dom/*.md
%doc library/Zend/Dom/composer.json
%{_datadir}/php/Zend/Dom
%exclude %{_datadir}/php/Zend/Dom/*.md
%exclude %{_datadir}/php/Zend/Dom/composer.json

%files Escaper
%doc library/Zend/Escaper/*.md
%doc library/Zend/Escaper/composer.json
%{_datadir}/php/Zend/Escaper
%exclude %{_datadir}/php/Zend/Escaper/*.md
%exclude %{_datadir}/php/Zend/Escaper/composer.json

%files EventManager
%doc library/Zend/EventManager/*.md
%doc library/Zend/EventManager/composer.json
%{_datadir}/php/Zend/EventManager
%exclude %{_datadir}/php/Zend/EventManager/*.md
%exclude %{_datadir}/php/Zend/EventManager/composer.json

%files Feed
%doc library/Zend/Feed/*.md
%doc library/Zend/Feed/composer.json
%{_datadir}/php/Zend/Feed
%exclude %{_datadir}/php/Zend/Feed/*.md
%exclude %{_datadir}/php/Zend/Feed/composer.json

%files File
%doc library/Zend/File/*.md
%doc library/Zend/File/composer.json
%{_datadir}/php/Zend/File
%exclude %{_datadir}/php/Zend/File/*.md
%exclude %{_datadir}/php/Zend/File/composer.json

%files Filter
%doc library/Zend/Filter/*.md
%doc library/Zend/Filter/composer.json
%{_datadir}/php/Zend/Filter
%exclude %{_datadir}/php/Zend/Filter/*.md
%exclude %{_datadir}/php/Zend/Filter/composer.json

%files Form
%doc library/Zend/Form/*.md
%doc library/Zend/Form/composer.json
%{_datadir}/php/Zend/Form
%exclude %{_datadir}/php/Zend/Form/*.md
%exclude %{_datadir}/php/Zend/Form/composer.json

%files Http
%doc library/Zend/Http/*.md
%doc library/Zend/Http/composer.json
%{_datadir}/php/Zend/Http
%exclude %{_datadir}/php/Zend/Http/*.md
%exclude %{_datadir}/php/Zend/Http/composer.json

%files I18n
%doc library/Zend/I18n/*.md
%doc library/Zend/I18n/composer.json
%{_datadir}/php/Zend/I18n
%exclude %{_datadir}/php/Zend/I18n/*.md
%exclude %{_datadir}/php/Zend/I18n/composer.json

%files InputFilter
%doc library/Zend/InputFilter/*.md
%doc library/Zend/InputFilter/composer.json
%{_datadir}/php/Zend/InputFilter
%exclude %{_datadir}/php/Zend/InputFilter/*.md
%exclude %{_datadir}/php/Zend/InputFilter/composer.json


%files Json
%doc library/Zend/Json/*.md
%doc library/Zend/Json/composer.json
%{_datadir}/php/Zend/Json
%exclude %{_datadir}/php/Zend/Json/*.md
%exclude %{_datadir}/php/Zend/Json/composer.json

%files Ldap
%doc library/Zend/Ldap/*.md
%doc library/Zend/Ldap/composer.json
%{_datadir}/php/Zend/Ldap
%exclude %{_datadir}/php/Zend/Ldap/*.md
%exclude %{_datadir}/php/Zend/Ldap/composer.json

%files Loader
%doc library/Zend/Loader/*.md
%doc library/Zend/Loader/composer.json
%{_datadir}/php/Zend/Loader
%exclude %{_datadir}/php/Zend/Loader/*.md
%exclude %{_datadir}/php/Zend/Loader/composer.json

%files Log
%doc library/Zend/Log/*.md
%doc library/Zend/Log/composer.json
%{_datadir}/php/Zend/Log
%exclude %{_datadir}/php/Zend/Log/*.md
%exclude %{_datadir}/php/Zend/Log/composer.json

%files Mail
%doc library/Zend/Mail/*.md
%doc library/Zend/Mail/composer.json
%{_datadir}/php/Zend/Mail
%exclude %{_datadir}/php/Zend/Mail/*.md
%exclude %{_datadir}/php/Zend/Mail/composer.json

%files Math
%doc library/Zend/Math/*.md
%doc library/Zend/Math/composer.json
%{_datadir}/php/Zend/Math
%exclude %{_datadir}/php/Zend/Math/*.md
%exclude %{_datadir}/php/Zend/Math/composer.json

%files Memory
%doc library/Zend/Memory/*.md
%doc library/Zend/Memory/composer.json
%{_datadir}/php/Zend/Memory
%exclude %{_datadir}/php/Zend/Memory/*.md
%exclude %{_datadir}/php/Zend/Memory/composer.json

%files Mime
%doc library/Zend/Mime/*.md
%doc library/Zend/Mime/composer.json
%{_datadir}/php/Zend/Mime
%exclude %{_datadir}/php/Zend/Mime/*.md
%exclude %{_datadir}/php/Zend/Mime/composer.json

%files ModuleManager
%doc library/Zend/ModuleManager/*.md
%doc library/Zend/ModuleManager/composer.json
%{_datadir}/php/Zend/ModuleManager
%exclude %{_datadir}/php/Zend/ModuleManager/*.md
%exclude %{_datadir}/php/Zend/ModuleManager/composer.json

%files Mvc
%doc library/Zend/Mvc/*.md
%doc library/Zend/Mvc/composer.json
%{_datadir}/php/Zend/Mvc
%exclude %{_datadir}/php/Zend/Mvc/*.md
%exclude %{_datadir}/php/Zend/Mvc/composer.json

%files Navigation
%doc library/Zend/Navigation/*.md
%doc library/Zend/Navigation/composer.json
%{_datadir}/php/Zend/Navigation
%exclude %{_datadir}/php/Zend/Navigation/*.md
%exclude %{_datadir}/php/Zend/Navigation/composer.json

%files Paginator
%doc library/Zend/Paginator/*.md
%doc library/Zend/Paginator/composer.json
%{_datadir}/php/Zend/Paginator
%exclude %{_datadir}/php/Zend/Paginator/*.md
%exclude %{_datadir}/php/Zend/Paginator/composer.json

%files Permissions-Acl
%doc library/Zend/Permissions/Acl/*.md
%doc library/Zend/Permissions/Acl/composer.json
%dir %{_datadir}/php/Zend/Permissions
     %{_datadir}/php/Zend/Permissions/Acl
%exclude %{_datadir}/php/Zend/Permissions/Acl/*.md
%exclude %{_datadir}/php/Zend/Permissions/Acl/composer.json

%files Permissions-Rbac
%doc library/Zend/Permissions/Rbac/*.md
%doc library/Zend/Permissions/Rbac/composer.json
%dir %{_datadir}/php/Zend/Permissions
     %{_datadir}/php/Zend/Permissions/Rbac
%exclude %{_datadir}/php/Zend/Permissions/Rbac/*.md
%exclude %{_datadir}/php/Zend/Permissions/Rbac/composer.json

%files ProgressBar
%doc library/Zend/ProgressBar/*.md
%doc library/Zend/ProgressBar/composer.json
%{_datadir}/php/Zend/ProgressBar
%exclude %{_datadir}/php/Zend/ProgressBar/*.md
%exclude %{_datadir}/php/Zend/ProgressBar/composer.json

%files Serializer
%doc library/Zend/Serializer/*.md
%doc library/Zend/Serializer/composer.json
%{_datadir}/php/Zend/Serializer
%exclude %{_datadir}/php/Zend/Serializer/*.md
%exclude %{_datadir}/php/Zend/Serializer/composer.json

%files Server
%doc library/Zend/Server/*.md
%doc library/Zend/Server/composer.json
%{_datadir}/php/Zend/Server
%exclude %{_datadir}/php/Zend/Server/*.md
%exclude %{_datadir}/php/Zend/Server/composer.json

%files ServiceManager
%doc library/Zend/ServiceManager/*.md
%doc library/Zend/ServiceManager/composer.json
%{_datadir}/php/Zend/ServiceManager
%exclude %{_datadir}/php/Zend/ServiceManager/*.md
%exclude %{_datadir}/php/Zend/ServiceManager/composer.json

%files Session
%doc library/Zend/Session/*.md
%doc library/Zend/Session/composer.json
%{_datadir}/php/Zend/Session
%exclude %{_datadir}/php/Zend/Session/*.md
%exclude %{_datadir}/php/Zend/Session/composer.json

%files Soap
%doc library/Zend/Soap/*.md
%doc library/Zend/Soap/composer.json
%{_datadir}/php/Zend/Soap
%exclude %{_datadir}/php/Zend/Soap/*.md
%exclude %{_datadir}/php/Zend/Soap/composer.json

%files Stdlib

%doc library/Zend/Stdlib/*.md
%doc library/Zend/Stdlib/composer.json
%{_datadir}/php/Zend/Stdlib
%exclude %{_datadir}/php/Zend/Stdlib/*.md
%exclude %{_datadir}/php/Zend/Stdlib/composer.json

%files Tag
%doc library/Zend/Tag/*.md
%doc library/Zend/Tag/composer.json
%{_datadir}/php/Zend/Tag
%exclude %{_datadir}/php/Zend/Tag/*.md
%exclude %{_datadir}/php/Zend/Tag/composer.json

%files Test
%doc library/Zend/Test/*.md
%doc library/Zend/Test/composer.json
%{_datadir}/php/Zend/Test
%exclude %{_datadir}/php/Zend/Test/*.md
%exclude %{_datadir}/php/Zend/Test/composer.json

%files Text
%doc library/Zend/Text/*.md
%doc library/Zend/Text/composer.json
%{_datadir}/php/Zend/Text
%exclude %{_datadir}/php/Zend/Text/*.md
%exclude %{_datadir}/php/Zend/Text/composer.json

%files Uri
%doc library/Zend/Uri/*.md
%doc library/Zend/Uri/composer.json
%{_datadir}/php/Zend/Uri
%exclude %{_datadir}/php/Zend/Uri/*.md
%exclude %{_datadir}/php/Zend/Uri/composer.json

%files Validator
%doc library/Zend/Validator/*.md
%doc library/Zend/Validator/composer.json

%{_datadir}/php/Zend/Validator
%exclude %{_datadir}/php/Zend/Validator/*.md
%exclude %{_datadir}/php/Zend/Validator/composer.json

%files Version
%doc library/Zend/Version/*.md
%doc library/Zend/Version/composer.json
%{_datadir}/php/Zend/Version
%exclude %{_datadir}/php/Zend/Version/*.md
%exclude %{_datadir}/php/Zend/Version/composer.json

%files View
%doc library/Zend/View/*.md
%doc library/Zend/View/composer.json
%{_datadir}/php/Zend/View
%exclude %{_datadir}/php/Zend/View/*.md
%exclude %{_datadir}/php/Zend/View/composer.json

%files XmlRpc
%doc library/Zend/XmlRpc/*.md
%doc library/Zend/XmlRpc/composer.json
%{_datadir}/php/Zend/XmlRpc
%exclude %{_datadir}/php/Zend/XmlRpc/*.md
%exclude %{_datadir}/php/Zend/XmlRpc/composer.json

%files ZendXml
%{_datadir}/php/ZendXml


%changelog
* Fri Dec 30 2016 luigiwalser <luigiwalser> 2.4.11-1.mga5
+ Revision: 1078708
- 2.4.11 (fixes CVE-2016-10034)
- fix source URL
- 2.4.9 (fixes CVE-2015-7503)
- 2.4.8
- 2.4.7 (fixes CVE-2015-5161)

* Thu May 21 2015 luigiwalser <luigiwalser> 2.3.9-1.mga5
+ Revision: 822472
- 2.3.9 (fixes CVE-2015-3154)

* Fri Mar 20 2015 guillomovitch <guillomovitch> 2.3.7-1.mga5
+ Revision: 819057
- new version 2.3.7

* Tue Mar 03 2015 oden <oden> 2.3.5-1.mga5
+ Revision: 817389
- 2.3.5 (ZF2015-02)

* Sat Jan 31 2015 guillomovitch <guillomovitch> 2.3.4-1.mga5
+ Revision: 812853
- new version 2.3.4

* Tue Oct 21 2014 guillomovitch <guillomovitch> 2.3.3-3.mga5
+ Revision: 792348
- fix dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.3.3-2.mga5
+ Revision: 739704
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 guillomovitch <guillomovitch> 2.3.3-1.mga5
+ Revision: 737403
- imported package php-ZendFramework2

